package com.ibeetl.admin.flow.entity;

import com.ibeetl.admin.core.annotation.Query;
import com.ibeetl.admin.core.entity.BaseEntity;
import org.beetl.sql.core.annotatoin.ColumnIgnore;
import org.beetl.sql.core.annotatoin.Table;

@Table(name = "td_directed_cptosms")
public class DirectedSmsTemplateEntity extends BaseEntity {

    private String cpid;

    @Query(name = "合作方名称", display = true)
    @ColumnIgnore
    private String cpname;

    private String smstype;

    @Query(name = "短信内容", display = true)
    private String content;

    public String getCpid() {
        return cpid;
    }

    public void setCpid(String cpid) {
        this.cpid = cpid;
    }

    public String getSmstype() {
        return smstype;
    }

    public void setSmstype(String smstype) {
        this.smstype = smstype;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getCpname() {
        return cpname;
    }

    public void setCpname(String cpname) {
        this.cpname = cpname;
    }
}
